Bug 509399 - Review Request: bitfrost - OLPC security platform
Review Request: bitfrost - OLPC security platform
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2009-07-02 11:49 EDT by Daniel Drake
Modified: 2009-08-11 18:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.21-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 16:12:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
smparrish: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
patch for sugar-update-control spec file (921 bytes, patch)
2009-07-02 11:56 EDT, Daniel Drake
no flags Details | Diff

  None (edit)
Description Daniel Drake 2009-07-02 11:49:37 EDT
Spec URL: http://dev.laptop.org/~dsd/20090702/bitfrost.spec
SRPM URL: http://dev.laptop.org/~dsd/20090702/bitfrost-1.0.0-1.fc11.src.rpm
Description:

This represents an effort to get more of OLPC's platform included in Fedora and also to clean up the current disorganised distribution of bitfrost modules (which are scattered over various packages).

The sugar-update-control package will need to be modified to depend on this (rather than shipping its own bitfrost modules). More packages which use these modules will be added soon.

Please review this package for F11 inclusion.
Comment 1 Daniel Drake 2009-07-02 11:56:53 EDT
Created attachment 350300 [details]
patch for sugar-update-control spec file
Comment 2 Steven M. Parrish 2009-07-02 13:31:58 EDT
I'll start looking at this today.

Steven
Comment 3 Steven M. Parrish 2009-07-03 18:50:56 EDT
Spec file looks good.  However will not build on Koji.

See build log here  

 http://koji.fedoraproject.org/koji/getfile?taskID=1453471&name=build.log


When you have a SRPM that builds let me know and I'll finish the review.

Steven
Comment 5 Daniel Drake 2009-07-06 04:59:02 EDT
I mean, BuildRequires: Pyrex
Comment 6 Steven M. Parrish 2009-07-07 08:34:25 EDT
Builds fine for i586 but fails on x86_64.  See build log here.  http://koji.fedoraproject.org/koji/getfile?taskID=1458702&name=build.log
Comment 7 Daniel Drake 2009-07-08 12:07:28 EDT
http://dev.laptop.org/~dsd/20090708/bitfrost-1.0.0-1.fc11.src.rpm
http://dev.laptop.org/~dsd/20090708/bitfrost.spec

fixed 2 problems: build with -fPIC for libraries
install into python_sitearch

Koji scratch build passed
Comment 8 Steven M. Parrish 2009-07-09 12:08:27 EDT
will finish this tonight.  thanks for the work to get it to build

steven
Comment 9 Steven M. Parrish 2009-07-09 19:22:46 EDT
Everything looks good here and it built just fine for all archs.  I'll approve this with one caveat.  Just remove the conflicts: sugar-update-control.  When you do the initial build go on and apply your patch to s-u-c and do a chain-build.  this will build a new s-u-c package at this same time so the conflicts will not be needed.  Don't forget to include s-u-c in your bodhi request for F11.

Steven
Comment 10 Daniel Drake 2009-07-10 04:59:11 EDT
New Package CVS Request
=======================
Package Name: bitfrost
Short Description: OLPC bitfrost security modules
Owners: dsd cjb pbrobinson
Branches: F-11
InitialCC:
Comment 11 Jason Tibbitts 2009-07-10 14:11:46 EDT
CVS done.
Comment 12 Fedora Update System 2009-07-10 16:11:01 EDT
sugar-update-control-0.21-2.fc11,bitfrost-1.0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sugar-update-control-0.21-2.fc11,bitfrost-1.0.1-1.fc11
Comment 13 Daniel Drake 2009-07-10 16:12:22 EDT
Thanks Steven!
Comment 14 Fedora Update System 2009-08-11 18:33:12 EDT
sugar-update-control-0.21-2.fc11, bitfrost-1.0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.